Bug 412653 - Sort Installed apps by name default
Summary: Sort Installed apps by name default
Status: VERIFIED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.16.5
Platform: Neon Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2019-10-05 23:14 UTC by nttkde
Modified: 2019-10-07 14:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nttkde 2019-10-05 23:14:08 UTC
Discover's Installed apps view is sorted by app rating by default (and apparently from lowest to highest?).
Sorting by rating is good for recommending the best new apps for a user in the other views; but when it comes to the Installed apps list, 
I think it would be more helpful to have Installed apps sorted _by name_.

(Or if there is some reason for sort-by-rating I can't think of it now. Probably users aren't uninstalling their software just because it has got one star from other people?)
Comment 1 Nate Graham 2019-10-07 02:35:46 UTC
Looks like that's what it's trying to do: https://cgit.kde.org/discover.git/tree/discover/discoversettings.kcfg#n6

...But it's not working for some reason.

Dan, could you take a look?
Comment 2 Aleix Pol 2019-10-07 14:20:49 UTC
Git commit b204b6c82828dc9d10541bbb5e5a7e235590940f by Aleix Pol.
Committed on 07/10/2019 at 14:20.
Pushed by apol into branch 'Plasma/5.17'.

Make sure the installed page is properly sorted by default

M  +1    -0    discover/qml/InstalledPage.qml

https://commits.kde.org/discover/b204b6c82828dc9d10541bbb5e5a7e235590940f
Comment 3 Nate Graham 2019-10-07 14:47:48 UTC
Nice!